#!/bin/bash
#
# tftp flash script for wireless routers 
#
# Copyright (C) 2004 by Oleg I. Vdovikin <oleg@cs.msu.su>
# Copyright (C) 2005 by Waldemar Brodkorb <wbx@openwrt.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

image="./openwrt-brcm-2.4-squashfs.trx"

if [ -f $image ]; then
#echo Confirming IP address setting...
#echo -en "get ASUSSPACELINK\x01\x01\xa8\xc0 /dev/null\nquit\n" | tftp 192.168.1.1
echo Flashing 192.168.1.1 using $image...
echo -en "binary\nput $image ASUSSPACELINK\nquit\n" | tftp 192.168.1.1
echo "Image sent, writing to flash..."
sleep 560
echo "Done! (Reboot device)"
else
cat << EOF
Image could not be found. Is the project compiled successfully?

IMPORTANT:
Notes for Linksys / Asus WL500gx router: 
   be sure you have set boot_wait to yes. Power on your router
   after executing this script.
 
Notes for Asus WL500g router:
   be sure POWER led is flashing (If this is not the case
   poweroff the device, push the reset button & power on
   it again, then release button)

1) connect your pc to the LAN port
2) be sure your link is up and has an address in the
   192.168.1.0/24 address range (and not the 192.168.1.1)

EOF
fi
